Skip to main content
GET
/
schedule
/
v1
/
overtime-validation
/
history
List validated overtime requests (history)
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{region}.sesametime.com/schedule/v1/overtime-validation/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "employee": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Ana",
        "lastName": "Garcia"
      },
      "date": "2020-01-01",
      "requestedSeconds": 3600,
      "approvedSeconds": 7200,
      "createdAt": "2020-01-01T10:00:00+01:00",
      "validatedAt": "2025-04-15T09:22:31+02:00",
      "managementHistory": [
        {
          "managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "managerName": "Carlos Lopez",
          "comment": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00"
        }
      ]
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}
{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}
{
"message": "Rate limit exceeded. Please try again later.",
"code": "RATE_LIMIT_EXCEEDED",
"retryAfter": 60
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (1-based)

limit
integer
default:20

Items per page

status
enum<string>[]

Filter by one or more validation statuses. Comma-separated values.

Available options:
accepted,
rejected,
autoApproved
employeeIds
string<uuid>[]

Filter by one or more employee identifiers. Comma-separated UUIDs.

from
string<date>

Filter validations by date (Y-m-d) greater than or equal to this value

Example:

"2025-01-01"

to
string<date>

Filter validations by date (Y-m-d) less than or equal to this value

Example:

"2025-03-31"

orderKey
enum<string>
default:date

Field used for ordering

Available options:
date,
status
orderType
enum<string>
default:desc

Order direction

Available options:
asc,
desc

Response

Paginated list of validated overtime requests for the authenticated company

data
object[]
required
meta
object
required